# Discord bot made in rust

## Current feature list:
 - move message from one channel to another
 - send hug and headpat embed and tag user in it
 - announces events and birthdays that are in database

## Technologies used
 - Discord API - serenity, poise
 - Database - sqlite
 - gifs - my partial implementation of tenor API

## Compilation
Make sure you have cargo installed!
Edit .env.example and rename to .env

Check if you have `openssl` (libssl-dev Ubuntu, openssl-devel Fedora)
audiopus_sys requires `cmake`
some dependencies require `build-essential`

Compile debug version
```
make dev
```

Compile release version
```
make release
```

Compile debug version and run it
```
make run
```

Run release version
```
make run_rel
```
